%global debug_package %{nil}
%global build_timestamp %{lua: print(os.date("%Y.%m.%d"))}
%global appname libcpufeatures

Name:           %{appname}-git
Version:        %{build_timestamp}
Release:        1%{?dist}
Summary:        A cross platform C99 library to get cpu features at runtime.
License:        ASL
URL:            https://github.com/google/cpu_features
#Source:

BuildRequires:  gcc-c++ cmake git

%description
A cross platform C99 library to get cpu features at runtime.

%prep
git clone --depth=1 %{url} .

%build
%cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

%check

%files
/usr/bin/list_cpu_features
/usr/include/cpu_features/cpu_features_cache_info.h
/usr/include/cpu_features/cpu_features_macros.h
/usr/include/cpu_features/cpuinfo_x86.h
/usr/lib64/cmake/CpuFeatures/CpuFeaturesConfig.cmake
/usr/lib64/cmake/CpuFeatures/CpuFeaturesConfigVersion.cmake
/usr/lib64/cmake/CpuFeatures/CpuFeaturesTargets-release.cmake
/usr/lib64/cmake/CpuFeatures/CpuFeaturesTargets.cmake
/usr/lib64/libcpu_features.so

%changelog
